| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Appearance Class Reference
UIExtension » appearances

An appearance like a packed theme. It provides a layout template and also allows to do things related to UE in `beforeMounted` or `afterMounted` method. When the layout template is rewritten, it is best to inherit this class and override the `disableAll` and `enableAll` methods to handle associated logic. More...

Inheritance diagram for Appearance:

## Public Member Functions
| afterMounted (root)
| A lifecycle method, will allways be called after root component mounted into DOM tree. More...
| beforeMounted (root)
| A lifecycle method, will allways be called before root component mounted into DOM tree. More...
Public Member Functions inherited from Disposable
| addDestroyHook (...hooks)
| Add a function to destroyHooks list, which will be called during destroy. More...
| destroy ()
| ownsTo (owner)
| Establishes an ownership relationship where this instance will be destroyed when the owner is destroyed. Additionally, the owner will be automatically removed from the destroyHooks list when this instance is destroyed. More...

## Static Public Member Functions
static | extend (proto, statics)
| Extends from Appearance class and generates a customize appearance! More...

## Protected Member Functions
| disableAll ()
| A method to disable those components that are activated only when the current PDF document is displayed.. It's called when the `PDFViewCtrl.constants.ViewerEvents.willCloseDocument` event is triggerred.
| enableAll ()
| A method to enable those components that are disabled by calling disableAll() method. It's called when the `PDFViewCtrl.constants.ViewerEvents.openFileSuccess` event is triggerred.
| getDefaultFragments ()
| UI fragments array, defines serveral UI components and business logics. More...
| getLayoutTemplate ()
| A method provides a layout template. More...

## Detailed Description

An appearance like a packed theme. It provides a layout template and also allows to do things related to UE in `beforeMounted` or `afterMounted` method. When the layout template is rewritten, it is best to inherit this class and override the `disableAll` and `enableAll` methods to handle associated logic.

## Member Function Documentation

## ◆ afterMounted()

Appearance::afterMounted | ( |  | root | ) |
| inline

A lifecycle method, will allways be called after root component mounted into DOM tree.

Parameters

  root | Component

## ◆ beforeMounted()

Appearance::beforeMounted | ( |  | root | ) |
| inline

A lifecycle method, will allways be called before root component mounted into DOM tree.

Parameters

  root | Component

## ◆ extend()

static Appearance::extend | ( |  | proto,
|  |  | statics
| ) |  |
| inline static

Extends from Appearance class and generates a customize appearance!

Parameters

  prototype | object - Appearance.prototype
  [statics] | object - static members

Returns
  Class<Appearance>

## ◆ getDefaultFragments()

Appearance::getDefaultFragments | ( |  | ) |
| inline protected

UI fragments array, defines serveral UI components and business logics.

Returns
  UIFragmentOptions[]

## ◆ getLayoutTemplate()

Appearance::getLayoutTemplate | ( |  | ) |
| inline protected

A method provides a layout template.

Returns
  string

@2026 Foxit Software Incorporated. All rights reserved.